Online SupportElectronic resources to keep your business moving.

.NET FRAMEWORK DOWNLOADS

  • .NET Framework 4.0

    .NET Framework 4.0+ is required to run DispensIT V3.36 (COMPATIBLE WITH 32Bit & 64Bit)
    48 MB    Download
  • .NET Framework 3.5 SP1

    .NET Framework 3.5+ is required to run MarsIT V3
    3 MB      Download
  • .NET Framework 2.0 SP2

    .NET Framework 2.0 is required to run DispensIT V3.23 and above
    24 MB    Download

Copyright © 2017 Vivitech Ltd - All Rights Reserved | Privacy Policy | Terms of Service | Contact Us


Stay connected with us in your favourite flavour!